
; VECTORZOA Drawing Method 1. 
; This can be used for continous lines only. 
; (keeping the pen on the paper)
; Try to use crossing lines like the fish's tail to maximise your efforts
; It is slightly faster than the second method.
; The first point is the distance to MOVE FROM the starting dot.
; This dot makes an excellent eye!
; If you don't want a dot to appear make the first pair of numbers 0,0
; All successive lines are RELATIVE positions from the previous point. 
; Note UNLIKE normal graphs taught in schools etc Vectrex points are Y,X
; +ve=UP or RIGHT, -ve=DOWN or LEFT
; So line 1 means MOVE 5 points DOWN (minus) and 20 points LEFT (minus)
; Turn the draw_outline feature on and off using BUTTON 1
; Or turn it off completley by making the first number on the top line 0 
; Add as many lines as you like by typing DB under the previous ones (the tab is important)
; Then remember to change the count at the top (and -1 from it.)


draw_outline
; EDIT THESE LINES to draw your outline (or even the whole shape!)
	DB	11	; 1 less than the total number of draw rows immediately below (12-1=11)
	DB	-5,-20	; line 1 (this is the only pair that doesn't draw a line)
	DB	15,10	; ...    (drawing starts here)
	DB	10,35
	DB	-15,45
	DB	-40,30
	DB	25,-5
	DB	25,5
	DB	-40,-35
	DB	-5,-50
	DB	15,-35
	DB	5,15	
	DB	5,-15	; line 12
	
; VECTORZOA Drawing Method 2. 
; This can be used for complex figures involving individual lines and positioning. 
; The pen leaves the paper. This is good for broken lines .
; It is best used to add detail and compilent method 1.
; However if you have a complex shape you may wish to leave Method 1 empty entirely.
; It is slightly slower than the first method, but the only way to do individual lines.
; The first point is the distance to MOVE FROM the LAST position of Method 1.
;                                                  ^^^^^^^^^^^^^^^^^^^^^^^^^
; You can move without drawing by using D_MOVE
; You can draw a line using D_LINE 
; Be sure to include D_END as the last line.
; If you don't need this extra step, just use D_END as the first line.
	
draw_detail
; EDIT THESE LINES to draw a more complex shape or add detail 
	DB	D_MOVE,25,45
	DB	D_LINE,5,30
	DB	D_LINE,-10,-15
	DB	D_MOVE,-42,15
	DB	D_LINE,-15,2
	DB	D_LINE,12,-37
	DB	D_MOVE,20,-5
	DB	D_LINE,-5,15
	DB	D_LINE,20,-5
	DB	D_LINE,-10,-10
	DB	D_END

; For BOTH draw methods use the same scale and draw LARGE. Ensure your creaton
; fits and fills a 120x120 grid. You can draw large if you like, but every single
; number must be between -128 and +127
; Drawing your character to fill 120 x 120 is the safest, although larger is acceptable.
; It is best to draw LARGE and scale SMALL!
	
; Double click on the COMPILE HERE icon and run the .BIN in vecx, paraJVE or on a REAL Vectrex
; Controls are:
; Joystick:	Move picture
; B1: 		Toggle outline draw
; B2: 		Toggle details draw
; B3: 		Enlarge draw
; B4: 		Shrink draw
; The left number is the Vectrex effort to draw the character. (lower the better)
; The right number is the draw scale (small = FAST)

; Remember any aquatic life creations (fish, crabs, sharks, squids, etc..) can be submitted to 
; Vectrex@vectorzoa.com to be considered for inclusion in the forthcoming Vectorzoa release 
;************************
;* "Spike's Sea Safari" *
;************************
; The authors of any material used in the game will have their name included in the game
; credits and a proportional discount on the price of the complete game!
; PLEASE email ONLY THIS FILE holding your creation to Vectrex@vectorzoa.com
; and include YOUR name and the name of your fish/character/creation
; ALL submissions whether they appear in the game or not will be published on a
; Vectorzoa art gallery!!
